import * as hookForm from 'react-hook-form';
import { UseFormProps } from 'react-hook-form';
import { SchemaOf } from 'yup';
export type FormOptions<FormData extends hookForm.FieldValues> = {
    schema: SchemaOf<FormData>;
} & UseFormProps<FormData>;
declare const useForm: <FormData_1 extends hookForm.FieldValues>(options: FormOptions<FormData_1>) => hookForm.UseFormReturn<FormData_1, any>;
export declare const useFieldArray: typeof hookForm.useFieldArray;
export declare const useWatch: typeof hookForm.useWatch;
export default useForm;
